<style>
.PriorityBtn .btn {
	font-size:1.0em!important;
	width:20px!important;
	padding: 3px 0px;
	opacity: 0.7!important;
}
.PriorityBtn .btn:hover {
	opacity: 1.0!important;
}
</style>
<div class="col-lg-12 col-md-12 col-sm-12">
	<h1><i id="event-priority" class="fa fa-bookmark <?php if($eventPriority == 'high'){echo 'clr_high';}elseif($eventPriority == 'medium'){echo 'clr_medium';}elseif($eventPriority == 'low'){echo 'clr_low';}else{echo 'none';}?>" aria-hidden="true"></i> <?php echo $eventName;?></h1>
	<div class="row">
		<div class="col-lg-3">
			<div class="row">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-4">
					<div class="big-photo empty" style="background:#555a68;">
					<i class="fa fa-fw <?php if ($eventDate != '' and $datetimeTo < $datetimeFrom){echo 'fa-calendar-check-o" title="Прошедшее событие';}else{echo 'fa-calendar-o" title="Предстоящее событие';} ?>" aria-hidden="true"></i>
					</div>
				</div>
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-8">
					<form method="POST" style="display:block;">
						<div class="btn-group btn-group-justified" style="width:100%;margin:0px 0px 10px 0px;">
							<?php if ($eventUser == $LoginCheck or $GroupCheck == 'admin' or $GroupCheck == 'manager') { ?>
							<a href="/<?php echo $folder; ?>/events/?edit=<?php echo $eventId; ?>" class="btn btn-default">Изменить</a>
							<?php } ?>
							<a href="javascript: ;" id="print" class="btn btn-default">На печать</a>
						</div>
					</form>
				</div>
			</div>
		</div>
		<div class="col-lg-9">
		
			<ul class="nav nav-tabs" id="admin-tabs">
				<li class="active"><a data-toggle="tab" href="#info">Информация</a></li>
				<li><a data-toggle="tab" href="#comment">Описание</a></li>
				<li><a data-toggle="tab" href="#files">Файлы (<?php echo count_dir_files($_GET['view']); ?>)</a></li>
			</ul>
			
			<div class="tab-content" id="to_print">
				<div id="info" class="tab-pane fade in active">
					<form method="POST">
					<table class="table view_table_mobile">
						<tbody>
							<tr class="hide">
								<td>Название события:</td>
								<td><?php echo $eventName; ?></td>
							</tr>
							<tr>
								<td><i class="fa fa-fw fa-calendar" aria-hidden="true"></i> Дата события:</td>
								<td>
								<?php 
								if($eventDate != ''){
									if ($datetimeTo < $datetimeFrom) {
										echo $eventDate . ' ( '; 
										if 		($eventRepeat == 'year') { echo 'До следующего события: <b class="clr_red">' . ($daysY - $datetimeFrom->diff( $datetimeTo )->format( '%a' )) . ' дн.</b>';} 
										elseif	($eventRepeat == 'month'){echo 'До следующего события: <b class="clr_red">' . ($daysM - $datetimeFrom->diff( $datetimeTo )->format( '%a' )) . ' дн.</b>';}
										else	{echo '<b class="clr_red">Событие завершено ' . ($datetimeFrom->diff( $datetimeTo )->format( '%a' )) . ' дн. назад</b>';}
										echo' )';
									} else { 
										echo $eventDate . ' ( До текущего события: <b>' . $datetimeFrom->diff( $datetimeTo )->format( '%a' ) . ' дн.</b> )';
									}
								} else {echo 'Нет данных';}?>
								</td>
							</tr>
							<tr>
								<td width="35%"><i class="fa fa-fw fa-history" aria-hidden="true"></i> Повторение:</td>
								<td><?php if ($eventRepeat != '') { echo '<span class="event">'.$eventRepeatText.'</span>'; } else {echo '- нет -';} ?></td>
							</tr>
							<tr>
								<td><i class="fa fa-fw fa-bookmark" aria-hidden="true"></i> Важность события:</td>
								<td><?php if($eventPriority == 'high'){echo 'Высокая важность';}elseif($eventPriority == 'medium'){echo 'Средняя важность';}elseif($eventPriority == 'low'){echo 'Низкая важность';}else{echo 'Отсутствует';}?><?php if ($GroupCheck == 'admin' or $GroupCheck == 'manager') { ?> ( Изменить: <span class="PriorityBtn"><button class="btn btn-link" type="submit" name="EventChangePrior" value="3" onclick="return confirm('Изменить на Высокую важность')" title="Изменить на Высокую важность"><i class="fa fa-bookmark clr_high" aria-hidden="true"></i></button><button class="btn btn-link" type="submit" name="EventChangePrior" value="2" onclick="return confirm('Изменить на Среднюю важность')" title="Изменить на Среднюю важность"><i class="fa fa-bookmark clr_medium" aria-hidden="true"></i></button><button class="btn btn-link" type="submit" name="EventChangePrior" value="1" onclick="return confirm('Изменить на Низкую важность')" title="Изменить на Низкую важность"><i class="fa fa-bookmark clr_low" aria-hidden="true"></i></button><button class="btn btn-link" type="submit" name="EventChangePrior" value="0" onclick="return confirm('Изменить на Важность отсутствует')" title="Изменить на Важность отсутствует"><i class="fa fa-bookmark clr_none" aria-hidden="true"></i></button></span> )<?php } ?></td>
							</tr>
							<tr>
								<td><i class="fa fa-fw fa-user" aria-hidden="true"></i> Прикрепленный пользователь:</td>
								<td><?php if($eventUser != ''){echo '<a href="/'.$folder.'/users/?view=' . $UserID . '" target="_blank">' . $UserName.' '.$UserSurName . '</a>';}else{echo 'Отсутствует';}?></td>
							</tr>
							<tr>
								<td width="35%"><i class="fa fa-fw fa-address-book" aria-hidden="true"></i> Прикрепленный клиент:</td>
								<td><?php if(file_exists($fileC) AND $eventClient != ''){echo '<a href="/'.$folder.'/clients/?view=' . $ClientId . '" target="_blank">'.$ClientName . '</a>';}else{echo 'Отсутствует';}?></td>
							</tr>
						</tbody>
					</table>
					</form>
				</div>
				<div id="comment" class="tab-pane fade">
					<form method="POST" name="form_task" id="formedit" enctype="multipart/form-data">
						<div class="row" style="margin-top:0px;">
							<div class="form-group col-lg-12 editor-form">
								<textarea class="form-control " name="inputComment" id="inputComment" rows="10" cols="80" placeholder="Описание события"><?php if(isset($eventComment)){echo $eventComment;} ?></textarea>
							</div>
						</div>
						<button type="submit" name="SaveDescription" class="btn btn-md btn-info" style="color:#fff;"><i class="fa fa-fw fa-save" aria-hidden="true"></i> Сохранить описание</button>
					</form>
				</div>
				<div id="files" class="tab-pane fade">
					<?php if(isset($_GET['view'])) { require_once(ROOT . 'functions/func-upload-file.php'); } ?>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript">
		$(document).ready(function() {
			
		});
	</script>
	<?php require_once(ROOT . 'functions/func-upload-file.php'); ?>
</div>