<?

ini_set('error_reporting', E_ALL);
ini_set('display_errors', 0);
ini_set('display_startup_errors', 0);

require_once('./functions/crm_settings.php');
require_once('./functions/crm_version.php');
?>

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta name="robots" content="noindex, nofollow" />
	<link rel="stylesheet" href="/<? echo $folder; ?>/assets/css/bootstrap.css" />
	<link rel="stylesheet" href="/<? echo $folder; ?>/assets/css/bootstrap-theme.css" />
	<?php if(get_utheme() == "dark"){ ?>
	<link rel="stylesheet" href="/<? echo $folder; ?>/assets/css/style-dark.css" />
	<?php } else { ?>
	<link rel="stylesheet" href="/<? echo $folder; ?>/assets/css/style.css" />
	<?php } ?>
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
</head>
<body style="background:transparent;width:calc(100% - 15px);margin:0px;padding-right:15px!important;font-size:10pt;line-height:20px;text-align:justify;" id="to_print">

<center>ЛИЦЕНЗИОННОЕ СОГЛАШЕНИЕ на программное обеспечение "<?php echo $CRMname;?>"</center><br/>

<p>Настоящее лицензионное соглашение (далее "соглашение") является юридическим документом, и подтверждает, что пользователь <?php echo $nCRMusername;?> (физическое или юридическое лицо, далее "Пользователь") и <?php echo $CRMgreater;?> (далее "Автор") заключили лицензионное соглашение относительно указанного выше программного продукта (далее "программа" или "программное обеспечение"), включающего в себя программное обеспечение "<?php echo $CRMname;?>", размещённое на сервере или Web-сайте "Автора" или "Пользователя", любые цифровые или аналоговые изображения, любые печатные материалы и любую "встроенную" или электронную документацию. Устанавливая, копируя или иным образом используя программу, Вы тем самым принимаете на себя условия настоящего соглашения. Если Вы не принимаете условий данного соглашения, то Вы не имеете права использовать данную программу и ее следует незамедлительно удалить или вернуть обратно автору.</p><br/>

<center>ЛИЦЕНЗИЯ НА ПРОГРАММУ</center><br/>
<p>Программа защищена законами и международными соглашениями об авторских правах, а также другими законами и договорами, регулирующими отношения авторского права. Программа лицензируется, а не продается.</p><br/>

<center>1. ОБЪЕМ ЛИЦЕНЗИИ</center><br/>
<p>Настоящее соглашение дает вам нижеследующие права:</p>
<p>1.1. Использование программы в сети Интернет. Разрешается установка и запуск лицензионной копии программы на сервере хостинг провайдера.</p>
<p>1.2. Хранение и использование в локальной сети. Разрешается хранение, установка и запуск лицензионной копии программы с общедоступного устройства хранения данных (например, локальный сетевой сервер).</p><br/>

<center>2. ОПИСАНИЕ ПРОЧИХ ПРАВ И ОГРАНИЧЕНИЙ</center><br/>
<p>2.1. Ограничения на изменение. Не разрешается осуществлять любое изменение (частичное или полное) частей текстовых или графических файлов программного обеспечения вне рабочей среды "<?php echo $CRMname;?>". <br/>
<p>2.2. Разделение программы. Программа лицензируется как единое целое. Ее нельзя разделять на составляющие части для использования на нескольких персональных компьютерах или других устройствах.<br/>
<p>2.3. Услуги по технической поддержке. Автор оказывает услуги по технической поддержке программных продуктов (далее "техподдержка"), включающей в себя помощь в решении вопросов по системе, исправления ошибок в работе и обновление системы до актуальной версии. Обращение к Автору за техподдержкой осуществляется по e-mail: <?php echo $CRMemail;?> , по телефону: <?php echo $CRMphone;?>, через веб-сайт <?php echo $CRMwebsite;?> или онлайн форму обращения, установленную в программном обеспечении "<?php echo $CRMname;?>". Любые дополнительные программы и исходные тексты, переданные вам в результате оказания услуг по техподдержке, должны рассматриваться как составная часть программы и подпадают, таким образом, под действие ограничений и условий данного соглашения. Технические данные, которые сообщаются службе технической поддержки в ходе обращения, могут быть использованы Автором для внутренних целей, включая техподдержку программных продуктов и разработку программного обеспечения. Автор не будет использовать данные сведения в форме, раскрывающей ваши личные сведения.</p>
<p>2.4. Прекращение действия соглашения. Без ущерба для любых других своих прав Автор может прекратить действие настоящего соглашения при несоблюдении условий и ограничений данного соглашения, что обяжет вас уничтожить все имеющиеся копии и составляющие части программы.</p><br/>

<center>3. АВТОРСКОЕ ПРАВО</center><br/>
<p>3.1. Все права собственности и авторские права на программу (в том числе любые включенные в нее управляющие программы (скрипты), фотографии, анимации, видео- и звукозаписи, музыку и текст), сопровождающие ее печатные материалы и любые копии программы принадлежат Автору. Все права Автора на программу защищены законами и международными соглашениями об авторских правах, а также другими законами и договорами, регулирующими отношения авторского права. Следовательно, с программой необходимо обращаться, как с любым другим объектом авторского права. Копирование сопровождающих программу печатных материалов запрещено.</p><br/>

<center>4. РАЗЛИЧНЫЕ НОСИТЕЛИ ПРОГРАММ</center><br/>
<p>4.1. Программа поставляется по сети Интернет исключительно в виде заархивированного файла.</p><br/>

<a href="javascript: ;" id="print" class="btn btn-link centered" style="color:#337AB7;" title="Распечатать"><i class="fa fa-fw fa-print"></i> Распечатать</a>
<script type="text/javascript" src="/<? echo $folder; ?>/assets/js/fx.js"></script>
</body>
</html>