<?php if($aliases_arr[1] =='' or $aliases_arr[1] =='notes'){ ?>
<h3>Страница пользователя</h3>
<p>На данной странице представлен список личных действующих задач, список личных заметок, информация о внутренней электронной почте, список событий на сегодня (отображается при наличии собития), а также график личного времени выполнения задач относительно общего времени выполнения.</p>
<br/>

<h3>Модуль "Заметки пользователей"</h3>
<p>Модуль создан для сохранения пользователями личных заметок и загрузки файлов к ним. Информация сохраняется в личные бызы данных клиентов. Добавление файлов доступно на странице просмотра заметки.</p>
<p><b>Основные возможности:</b></p>
<ul class="text-list">
	<li>Сохранение личных заметок;</li>
	<li>Загрузка файлов к заметкам;</li>
	<li>Вывод заметки на печать.</li>
<ul>

<?php } elseif($aliases_arr[1] =='tasks'){ ?>

<h3>Модуль "Задачи"</h3>
<p>Модуль создан для планирования и контроля за выолнением пользователями поставленных задач.</p>
<p>Пользователь, делегирующий другому сотруднику задачу становится ответственным за выполнение, а сотрудник - исполнителем задачи. Администратор, руководитель или сотрудник, которому делегирована задача могут изменять прогресс выполнения задачи. При завершении задачи сохраняется информация о времени ее выполнения.</p>
<p>Добавление файлов доступно на странице просмотра задачи.</p>
<p><b>Основные возможности:</b></p>
<ul>
<li>Делегирование задач сотрудникам;</li>
<li>Архивирование выполненных задач;</li>
<li>E-mail уведомления и напоминания;</li>
<li>Прикрепление материалов к задаче;</li>
<li>Изменение прогресса выполнения;</li>
<li>Поиск, сортировка и фильтрация;</li>
<li>Создание дубликата задачи;</li>
<li>Вывод задачи на печать;</li>
<li>и многое другое.</li>
</ul>

<p><b>С чего начать:</b></p>
<ul>
<li>На главной странице модуля нажмите кнопку "Добавить";</li>
<li>Заполните необходимые поля текстовой формы (поля выделенные цветом - обязательны);</li>
<li>Для завершения - нажмите кнопку "Добавить задачу";</li>
<li>Добавьте материалы на странице просмотра задачи.</li>
</ul>

<?php } elseif($aliases_arr[1] =='clients'){ ?>

<h3>Модуль "Клиенты компании"</h3>
<p>Модуль создан для сбора контактной информации и данных о сделках по каждому из ваших клиентов.</p>
<p>В списке ваших клиентов, отображается информация об общей стоимости заключенных сделок, коммерческих предложений, сумме неоплаченного остатка и процентном отношении неоплаченного остатка к общей сумме сделок. Для анализирования данных из какого источника клиент узнал о вашей компании, на главной странице модуля выводится график с перечнем источников и количеством клиентов.</p>
<p>Добавление файлов доступно на странице просмотра карточки клиента.</p>

<p><b>Основные возможности:</b></p>
<ul>
<li>Сохранение информации о клиенте;</li>
<li>Загрузка логотипа/фото клиента;</li>
<li>Учет кол-ва сделок и предложений;</li>
<li>Учет суммы долга клиента по оплате;</li>
<li>Прикрепление материалов к карточке;</li>
<li>Поиск, сортировка и фильтрация;</li>
<li>Вывод карточки клиента на печать;</li>
<li>и многое другое.</li>
</ul>

<p><b>С чего начать:</b></p>
<ul>
<li>На главной странице модуля нажмите кнопку "Добавить";</li>
<li>Заполните необходимые поля текстовой формы (поля выделенные цветом - обязательны);</li>
<li>Выберите фото для клиента (доступные форматы файлов: jpeg, jpg, png, gif; желательный формат - квадрат, максимальный размер загружаемого файла не более 1 Мб);</li>
<li>Для завершения - нажмите кнопку "Добавить клиента";</li>
<li>Добавьте материалы на странице просмотра карточки клиента;</li>
<li>Сохраните карточку клиента в телефон с помощью QR кода;</li>
<li>Добавьте новому клиенту первую сделку.</li>
</ul>

<?php } elseif($aliases_arr[1] =='deals'){ ?>

<h3>Модуль "Сделки и предложения"</h3>
<p>Модуль создан для учета информации о доходах, расходах, прибыли и долгах клиентов.</p>
<p>Доходы: общая сумма сделки без учета расходов; Расходы: средства потраченные для выполнения обязательств по сделке; Прибыль: сумма сделки за вычетом расходов; Рентабельность: процентное соотношение расходов по сделке к доходу. </p>
<p>На главном графике отображается статистическая информация по всем активным и завершенным сделакам за выбранный год. Пользователь может просмотреть сделки по годам за последние 15 лет, а также посмотреть динамику по определенному клиенту за выбранный год. Величина прибыли расчитывается с учетом долгов и расходов по сделкам.</p>
<p>Для каждой сделки пользователь может добавить платеж (доход или расход) с комментарием. Список платежей приведены на странице просмотра сделки или в отдельном модуле "Список платежей"</p>
<p>Добавление файлов доступно на странице просмотра сделки.</p>

<p><b>Основные возможности:</b></p>
<ul>
<li>Добавление сделок и предложений;</li>
<li>Архивирование всех типов сделок;</li>
<li>Учет доходов, расходов, прибыли;</li>
<li>Расчет рентабельности сделок;</li>
<li>Прикрепление материалов к сделке;</li>
<li>Поиск, сортировка и фильтрация;</li>
<li>Вывод информации о сделке на печать;</li>
<li>и многое другое.</li>
</ul>

<p><b>С чего начать:</b></p>
<ul>
<li>На главной странице модуля нажмите кнопку "Добавить";</li>
<li>Заполните необходимые поля текстовой формы (поля выделенные цветом - обязательны);</li>
<li>Для завершения - нажмите кнопку "Добавить сделку";</li>
<li>Добавьте материалы на странице просмотра сделки;</li>
<li>Добавьте новый платеж (доход или расход);</li>
<li>Добавьте новую задачу вашему сотруднику по этой сделке.</li>
</ul>

<?php } elseif($aliases_arr[1] =='users'){ ?>

<h3>Модуль "Сотрудники компании"</h3>
<p>Модуль создан для сбора контактной информации, данных о задачах и времени посещения по каждому из сотрудников.</p>
<p>Добавление файлов доступно на странице просмотра карточки клиента.</p>

<p><b>Основные возможности:</b></p>
<ul>
<li>Регистрация и авторизация сотрудников;</li>
<li>Загрузка логотипа/фото сотрудника;</li>
<li>Учет активных и выполненных задач;</li>
<li>Учет посещаемости CRM сотрудником;</li>
<li>Прикрепление материалов к карточке;</li>
<li>Поиск, сортировка и фильтрация;</li>
<li>Вывод карточки сотрудника на печать;</li>
<li>и многое другое</li>
</ul>

<p><b>С чего начать:</b></p>
<ul>
<li>На главной странице модуля нажмите кнопку "Добавить сотрудника";</li>
<li>Заполните необходимые поля текстовой формы (поля выделенные цветом - обязательны);</li>
<li>Выберите фото для сотрудника (доступные форматы файлов: jpeg, jpg, png, gif; желательный формат - квадрат, максимальный размер загружаемого файла не более 1 Мб);</li>
<li>Для завершения - нажмите кнопку "Добавить сотрудника";</li>
<li>Добавьте материалы на странице просмотра карточки сотнудника;</li>
<li>Сохраните карточку сотрудника в телефон с помощью QR кода;</li>
<li>Добавьте новому сотруднику первую задачу.</li>
</ul>

<?php } elseif($aliases_arr[1] =='events'){ ?>

<h3>Модуль "События компании"</h3>
<p>Модуль создан для контроля за важными событиями в компании. Теперь вы не пропустите важныю дату, все события сгруппированы в одном списке.</p>
<p>Каждое событие может быть привязано к карточке клиента или сотрудника, а также может иметь свой период повторения, например, год, месяц или день. Предстоящие события находятся в верху списка, все прошедшие события имеют серый индикатор и находятся внизу общего списка.</p>
<p>Добавление файлов доступно на странице просмотра информации о событии. </p>

<p><b>Основные возможности:</b></p>
<ul>
<li>Добавление и редактирование событий;</li>
<li>Обратный отсчет до даты события;</li>
<li>Повтор события: год, месяц, день;</li>
<li>Привязка клиента или сотрудника;</li>
<li>Прикрепление материалов к событию;</li>
<li>Поиск, сортировка и фильтрация;</li>
<li>Вывод данных события на печать;</li>
<li>и многое другое.</li>
</ul>

<p><b>С чего начать:</b></p>
<ul>
<li>На главной странице модуля нажмите кнопку "Добавить";</li>
<li>Заполните необходимые поля текстовой формы (поля выделенные цветом - обязательны);</li>
<li>Если требуется выберите период повторения события (год, месяц, день);</li>
<li>Для завершения - нажмите кнопку "Добавить событие";</li>
<li>Добавьте материалы на странице просмотра события;</li>
<li>Распечатайте данные события.</li>
</ul>

<?php } elseif($aliases_arr[1] =='letters'){ ?>

<h3>Модуль "Внутренняя почта"</h3>
<p>Модуль создан для обмена электронными письмами между сотрудниками внутри компании. Вся переписка хранится на сервере компании.</p>
<p>К каждому письму пользователь может привязать задачу, карточку клиента, сделку или событие, а также добавить сотрудника, которому придет копия письма.</p>
<p>Добавление файлов к письму не доступно.</p>

<p><b>Основные возможности:</b></p>
<ul>
<li>Отправка писем коллегам внутри системы;</li>
<li>Привязка задач, сделок, событий и пр.;</li>
<li>Индикация прочтения письма коллегами;</li>
<li>Уведомление на email о входящих;</li>
<li>Поиск, сортировка и фильтрация;</li>
<li>Вывод текста письма на печать;</li>
<li>и многое другое.</li>
</ul>

<p><b>С чего начать:</b></p>
<ul>
<li>На главной странице модуля нажмите кнопку "Написать";</li>
<li>Заполните необходимые поля текстовой формы (поля выделенные цветом - обязательны);</li>
<li>Если требуется привяжите задачу, карточку клиента, сделку или событие;</li>
<li>Для завершения - нажмите кнопку "Отправить письмо".</li>
</ul>

<?php } elseif($aliases_arr[1] =='requests'){ ?>

<h3>Модуль "Онлайн запросы от клиентов"</h3>
<p>CRM система WORKBox позволяет собирать контактную информацию, указанную пользователем, при отправке онлайн-запроса через формы обратной связи, установленные на веб-сайте компании.</p>

<p><b>Установка сбора онлайн-запросов на сайт</b></p>
<p>Добавьте событие <i class="clr_vlow">onsubmit="workbox_call('_wb')"</i> для формы с которой планируется сбор данных клиентов.</p>
<p>например, <i class="clr_vlow">&lt;form autocomplete="off" method="post" onsubmit="workbox_call('_wb')"&gt;</i>, где <i class="clr_vlow">_wb</i> - это папка с CRM системой.</p>
<p>Установите на сайте перед тегом "<i class="clr_vlow">&lt;/body&gt;</i>" представленный ниже HTML код:</p>
<xmp class="clr_vlow" style="overflow-y:auto;">
<!--- Интеграция с WORKBox --->
<script type="text/javascript" language="javascript">
	function workbox_call(folder) {
		$.ajax({
			type: 	'POST',
			url: 	'./' + folder + '/modules/clients/send_request.php',
			data: {
				username: 		$('form input[name="messUname"]').val(),		// Имя клиента
				usersurname: 		$('form input[name="usersurname"]').val(),		// Фамилия клиента
				company: 		$('form input[name="messCompany"]').val(),		// Название компании
				service: 		$('form input[name="messProject"]').val(),		// Наименование услуги
				phone: 			$('form input[name="messPhone"]').val(),		// Контактный телефон
				email: 			$('form input[name="messEmail"]').val(),		// Контактный email
				website: 		$('form input[name="website"]').val(),			// Адрес вебсайта
				address: 		$('form input[name="address"]').val(),			// Адрес клиента
				source: 		$('form input[name="source"]').val(),			// Источник информации
				promocode: 		$('form input[name="messPromo"]').val()			// Промокод
			},
			success: 	function(data) {},
			error:  	function(xhr, str){ alert('Возникла ошибка: ' + xhr.responseCode); }
		});
	}
</script>
<!--- Интеграция с WORKBox --->
</xmp>
<br/>
<p>В блоке "<i class="clr_vlow">data</i>" замените названия елементов формы (например, <i class="clr_vlow">name="messUname"</i>) на собственные названия</p>

<?php } else { ?>
Для данного модуля временно отсутствует справочная информация
<?php } ?>